<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WorkFormulas](./bitburner.workformulas.md) &gt; [factionGains](./bitburner.workformulas.factiongains.md)

## WorkFormulas.factionGains() method

**Signature:**

```typescript
factionGains(person: Person, workType: FactionWorkType | `${FactionWorkType}`, favor: number): WorkStats;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  person | [Person](./bitburner.person.md) |  |
|  workType | [FactionWorkType](./bitburner.factionworktype.md) \| \`${[FactionWorkType](./bitburner.factionworktype.md)<!-- -->}\` |  |
|  favor | number |  |

**Returns:**

[WorkStats](./bitburner.workstats.md)

The WorkStats applied every game cycle (200ms) by performing the specified faction work.

